function remaining = checkStatus(jobIDs_all)

getusercommand = 'whoami';
[status,response] = unix(getusercommand);
username = textscan(response,'%s');

syscommand = ['qstat -u ' username{1}{1} ' -s rp'];
[status,response] = unix(syscommand);

if ~isempty(response)
    jobIDs = textscan(response,'%n%*[^\n]','delimiter',' ','multipleDelimsAsOne',1,'headerlines',2);
    jobIDs_running = jobIDs{1};

    tf = length(intersect(jobIDs_all,jobIDs_running));
    remaining = 0;
    if tf
        remaining =length(find(jobIDs_running==jobIDs_all));
    end
else
    remaining = 0;
end