function create_sh_file(template,src_dir,commandname,submitfilename)

% open template file
fid = fopen(template);
contents = textscan(fid,'%s','delimiter','\n');
fclose(fid);

contents = contents{1};

cline = strmatch('[command]',contents,'exact');

if isempty(cline)
    error('Invalid template file');
end

command = [src_dir];
command = addTrailingSlash(command);
command = [command commandname ' $level'];

fid = fopen(submitfilename,'w');

for j=1:size(contents,1)
    if j==cline
        towrite = command;
    else
        towrite = contents{j};
    end
    fprintf(fid,'%s\n',towrite);
end
fclose(fid);
