function get_cindy_list_fdr(output_dir_mindy_postprocessing,output_dir_mindy_random_postprocessing,fdr_value,outfile,no_targets)

inpath1 = [output_dir_mindy_postprocessing '/'];
inpath2 = [output_dir_mindy_random_postprocessing '/'];
infile1 = [inpath1 output_dir_mindy_postprocessing '_summ.txt'];
infile2 = [inpath2 output_dir_mindy_random_postprocessing '_summ.txt'];

[fg.mo fg.tf tmp] = textread(infile1,'%s%s%[^\n]','delimiter','\t','headerlines',1);
fg.nb = dlmread(infile1,'\t',1,2);
if (no_targets==0)
    [bg.mo bg.tf tmp] = textread(infile2,'%s%s%[^\n]','delimiter','\t','headerlines',1);
    bg.nb = dlmread(infile2,'\t',1,2);
    mlen = length(bg.mo);
    %assign threshold for each TF
    thres=[];
    thresix = round(fdr_value*mlen);
    snum = sort(bg.nb,'descend');
    if length(snum)==0
        thres = 0;
    else if thresix == 0
            thres = max(snum);
        else if length(snum) >= thresix
                thres = snum(thresix);
            end
        end
    end
else 
    thres = no_targets;
end

tflist = unique(fg.tf);


% mlen = length(unique(bg.mo));
%
% %assign threshold for each TF
% thres=[];
% thresix = round(fdr_value*mlen);
% for i=1:length(tflist)
%     i
%     ix = strmatch(tflist(i),bg.tf,'exact');
%     snum = sort(bg.nb(ix,1),'descend')
%     if length(snum) ==0
%         thres(i) = 0;
%     else if thresix==0
%             thres(i) = max(snum);
%         else if length(snum)>=thresix
%                 thres(i) = snum(thresix);
%             else
%                 'threshold is 0'
%                 thres(i) = max(snum);
%             end
%         end
%     end
% end
% % print output
% out = fopen(outfile,'w');
% fprintf(out,'%s\t%s\t%s\t%s\n','Msym','Fsym','Gnum','Mmode');
% for i=1:length(fg.mo)
%     if fg.nb(i,1)>thres(strmatch(fg.tf(i),tflist,'exact'))
%         fprintf(out,'%s\t%s\t%d\t%d\n',fg.mo{i},fg.tf{i},fg.nb(i,1),fg.nb(i,2));
%     end
% end
% fclose(out);

%%%%%%%%%%%%%%%%%


out = fopen(outfile,'w');
fprintf(out,'%s\t%s\t%s\n','Msym','Fsym','Gnum');
for i=1:length(fg.mo)
    if fg.nb(i,1)>thres
        fprintf(out,'%s\t%s\t%d\n',fg.mo{i},fg.tf{i},fg.nb(i,1));
    end
end
fclose(out)

