
clc
clear
src_dir = '/ifs/scratch/c2b2/ac_lab/mb3113/nature_protocol/CMI';
addpath(src_dir)
src_dir = addTrailingSlash(src_dir);

final_mindy_result = 'test_new.txt';
filename_exp = ['bcell_u133p2_gcrma_226_UniqueEntrex_filtered.exp'];
filename_mod_data = [];  %give it empty if expression for modulators are used else provide the full name
if isempty(filename_mod_data)
    filename_mod_data = filename_exp;
end
file_modlist = 'modlist.txt';
file_tflist = 'tflist.txt';
method_mutualinfo = 'adaptive_partitioning';  % options, adaptive_partitioning, cmi_ap and fixed_bandwidth. Default is adaptive partitioning
percent     = 0.35; % percentage of samples in each tail. Put dummy value for CMI
p_independ  = 1e-5; % MI p-value for independence test of candidate modulators. Put dummy value for CMI 
p_discover  = 0.05; % family-wise statistical significance for conditional mutual information difference
fdr_value = 0.01;
paramp = '1e-6'; % Put dummy value for CMI
parame = '0.1'; % Put dummy value for CMI
no_targets = 0; % 0 to determine the optimal number of targets of TF modulated by a modulator, Non-zero value uses that number of targets and report the final result
use_network = 0;
network_file = []; % File in 3 column format, TF target and score
%%
cindy(src_dir,final_mindy_result,filename_exp,filename_mod_data,file_modlist,file_tflist,method_mutualinfo,percent,p_independ,1,p_discover,paramp,fdr_value,no_targets,use_network,network_file,1)
