function status = waitForGrid(jobIDs,period,verbose)
%function status = waitForGrid(jobIDs,period,maxiterations,verbose)

t = timer('TimerFcn','return','StartDelay',period,'TasksToExecute',1);

done = false;
it = 0;
status = zeros(length(jobIDs),1);

%while and(~done,it<=maxiterations)
while (~done)
    remaining = checkStatus(jobIDs);
    numremaining = length(remaining);

    if verbose
        disp(['[WAITFORGRID] - Timer Status - ' num2str(remaining) ' jobs remaining.']);
    end

    if remaining==0
        done = true;
    else
        start(t);
        wait(t);
        %it = it+1;
    end
end

if ~done
    status(remaining) = -1;
end

delete(t);
