function [data,gid,sid] = readTestData(infile)

disp(['Reading ' infile ' ... ']);

% note there are 6 header lines
[gid,dummy]=textread(infile,'%s%[^\n]','delimiter','\t','headerlines',1,'bufsize',65520);
[foo,bar,header] = textread(infile,'%s%s%[^\n]',1,'delimiter','\t','bufsize', 655200);
sid = strread(header{1},'%s','delimiter','\t');

all = dlmread(infile,'\t',1,2);
data = all(:,1:2:size(all,2));
pvalue = all(:,2:2:size(all,2));
