clc
clear
src_dir = '../CINDy_standalone'
addpath(src_dir)
src_dir = addTrailingSlash(src_dir);

final_mindy_result = 'results_fdr005.txt';
filename_exp = ['dataset.exp'];
filename_mod_data = [];  % give it empty if expression for modulators are used else provide the full name
if isempty(filename_mod_data)
    filename_mod_data = filename_exp;
end
file_modlist = 'cindy_mods.txt';
file_tflist = 'cindy_tfs.txt';
method_mutualinfo = 'cmi_ap';  % options, adaptive_partitioning, cmi_ap and fixed_bandwidth. Default is adaptive partitioning
percent     = 0.35; % percentage of samples in each tail. Put dummy value for CINDy
p_independ  = 1e-5; % MI p-value for independence test of candidate modulators. Put dummy value for CINDy
p_discover  = 0.05; % family-wise statistical significance for conditional mutual information difference
fdr_value = 0.01;
paramp = '1e-6'; % Put dummy value for CINDy
parame = '0.1'; % Put dummy value for CINDy
no_targets = 0; % 0 to determine the optimal number of targets of TF modulated by a modulator, Non-zero value uses that number of targets and report the final result
use_network = 0;
network_file = []; % File in 3 column format, TF target and score
%%
cindy(src_dir,final_mindy_result,filename_exp,filename_mod_data,file_modlist,file_tflist,method_mutualinfo,percent,p_independ,1,p_discover,paramp,fdr_value,no_targets,use_network,network_file,1)
