function cellwrite(cellarray, filename, delim, header)

if nargin<3
    delim ='\t';
end

[r, c] = size(cellarray);
fid = fopen(filename, 'w');

if nargin>3
    fprintf(fid, '%s', header{1}); %filename?
    for i=2:c
        fprintf(fid, [delim '%s'], header{i});
    end
    fprintf(fid, '%s\n', '');
end

for i=1:r
    if iscellstr(cellarray{i,1})
        cellarray{i,1} = cellarray{i,1}{:};
    end
    fprintf(fid, '%s', num2str(cellarray{i,1}));
    for j=2:c
        if iscellstr(cellarray{i,j})
            cellarray{i,j} = cellarray{i,j}{:};
        end
        fprintf(fid, [delim '%s'], num2str(cellarray{i,j}));
    end
    fprintf(fid, '%s\n', '');
end
fclose(fid);