function cindy(src_dir,final_mindy_result,filename_exp,filename_mod_data,file_modlist,file_tflist,method_mutualinfo,percent,p_independ,p_dynamics,p_discover,paramp,fdr_value,no_targets,use_network,network_file,verbose)

parame = '0.1';
%%
filename_exp_mod = 'modlist.exp';
filename_exp_mod_random = 'modlist_random.exp';
output_dir_mindy = 'mindy_runs';
output_dir_mindy_random = 'mindy_runs_random';
%output_dir_mindy_postprocessing_stringent = [output_dir_mindy '_postprocessing_stringent'];
output_dir_mindy_random_postprocessing = [output_dir_mindy_random '_postprocessing'];
output_dir_mindy_postprocessing = [output_dir_mindy '_postprocessing'];
tflist = textread(file_tflist,'%s','delimiter','\t');

%%
% Mindy parameters
parami = [filename_exp];
paramc = [filename_exp_mod];
paramq = num2str(percent);
paramo = [output_dir_mindy];
paraml = file_tflist;
paramH = '';
%paramo_postprocessing = (output_dir_mindy_postprocessing_stringent);
save ('mindy_parameters', 'parami', 'paramc', 'paramq', 'paramp', 'parame', 'paramo', 'paraml', 'paramH','src_dir','method_mutualinfo','use_network','network_file');

%%

if (~exist(filename_exp_mod,'file'))
    creating_exp_file_list(filename_mod_data,file_modlist,filename_exp_mod)
end
if use_network
    unix(['mkdir subsets_exp']);
    filename_mod_data = filename_exp_mod;
end
[data textdata] = importfile(filename_exp);
%%
%stringency = 1;
% Mindy postprocessing parameters
%save('mindy_postprocessing_parameters','percent', 'p_independ', 'p_dynamics', 'p_discover', 'paramo', ...
%    'paramo_postprocessing', 'file_tflist', 'paramc', 'filename_exp', 'stringency','filename_mod_data','method_mutualinfo')

%%
disp('Generating Kernal config threshold file')
if (~exist('config_kernel.txt','file'))
    if (strcmp(method_mutualinfo,'adaptive_partitioning') | strcmp(method_mutualinfo,'cmi_ap'))
        unix(['cp ' src_dir '/temp_config_kernel.txt ./config_kernel.txt'])
    else
        generate_kernel_width_configuration(data);
    end
    
else
    disp('Kernel width configuration file exist')
end
%%
disp('Generating Mutualinfo threshold file')
if (~exist('config_threshold.txt','file'))
    if strcmp(method_mutualinfo,'cmi_ap')
        unix(['cp ' src_dir '/temp_config_threshold.txt ./config_threshold.txt'])
    else
        generate_mutual_threshold_configuration(data,method_mutualinfo);
    end
else
    disp('Mutualinfo threshold file exist')
end
%%
disp('Generating delta/CMI mi pvalue function')
if (~exist('pvalue.m','file'))
    if  strcmp(method_mutualinfo,'cmi_ap')
        generate_cmi_mi_pv_null_dist(data);
        generate_cmi_mi_pv_function();
        
    else
        generate_delta_mi_pv_null_dist(data,percent,method_mutualinfo);
        generate_delta_mi_pv_function();
    end
else
    disp('Delta mi pvalue function file exist')
end

%%
disp('Running Mindy')
unix(['mkdir ' paramo]);
unix('rm -rf tmp');
unix('mkdir tmp');

for i = 1:length(tflist)
    qsubmindy(num2str(i));
end
% commandname = 'bin/RunMindy/qsubmindy';
% create_sh_file(template,src_dir,commandname,'grid_submit.sh')
% syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % submit mindy(id) for i = 1:tflist
%
% jobIDs = gridsubmit(syscommand);
% checkruns(jobIDs,verbose)
%
% list = tflist;
% while 1
%     jobs = intersect( checkCrashedJobs(paramo,list,'','.cmm'), checkCrashedJobs(paramo,list,'','.cmm.bz2')) ;
%     %jobs = union(jobs,intersect( checkCrashedJobs(paramo,list,'','.cam'), checkCrashedJobs(paramo,list,'','.cam.bz2')));
%     if length(jobs)
%         ReSubmit_crashedjobs(jobs,verbose)
%     else
%         break;
%     end
% end

%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% For Less stringent
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%if stringent == 0
stringency = 0;
disp('Running Mindy postprocessing')
paramo_postprocessing = output_dir_mindy_postprocessing;
save('mindy_postprocessing_parameters','percent', 'p_independ', 'p_dynamics', 'p_discover', 'paramo', ...
    'paramo_postprocessing', 'file_tflist', 'paramc', 'filename_exp', 'stringency','filename_mod_data','method_mutualinfo','use_network','network_file')

unix(['mkdir ' paramo_postprocessing]);
unix('rm -rf tmp');
unix('mkdir tmp');
for i = 1:length(tflist)
    if strcmp(method_mutualinfo,'cmi_ap')
        %commandname = 'bin/RunMindyPostprocessingCMI/postprocess_mindy_cmi';
        postprocess_cindy(num2str(i));
    else
        %commandname = 'bin/RunMindyPostprocessing/postprocess_mindy';
        postprocess_mindy(num2str(i));
    end
end

%     create_sh_file(template,src_dir,commandname,'grid_submit.sh')
%     syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % % submit mindy postprocessing for i = 1:tflist
%     jobIDs = gridsubmit(syscommand);
%     checkruns(jobIDs,verbose)

%     list = tflist;
%     while 1
%         jobs = checkCrashedJobs(paramo_postprocessing,list,'mindy_','.mat');
%         if length(jobs)
%             ReSubmit_crashedjobs(jobs,verbose)
%         else
%             break;
%         end
%     end

disp('Running Mindy postprocessing to get list pv ')
save('params_get_mindy_list_pv','parami', 'paraml', 'paramo_postprocessing', 'paramc', 'percent')
unix('rm -rf tmp');
unix('mkdir tmp');
for i = 1:length(tflist)
    if strcmp(method_mutualinfo,'cmi_ap')
        get_cindy_list_pv(num2str(i))
        %commandname = 'bin/GetMindyPVCMI/get_mindy_list_pv_cmi';
    else
        get_mindy_list_pv(num2str(i));
        %commandname = 'bin/GetMindyPV/get_mindy_list_pv';
    end
end
%     create_sh_file(template,src_dir,commandname,'grid_submit.sh')
%     syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % % submit mindy pv for i = 1:tflist
%     jobIDs = gridsubmit(syscommand);
%     checkruns(jobIDs,verbose)
%
%     list = tflist;
%     while 1
%         jobs = checkCrashedJobs(paramo_postprocessing,list,'mindy_','.txt');
%         if length(jobs)
%             ReSubmit_crashedjobs(jobs,verbose)
%         else
%             break;
%         end
%     end

disp('Running Mindy postprocessing to generate pvalue distribution')
%if(~exist(filename_exp_mod_random,'file'))
if strcmp(method_mutualinfo,'cmi_ap')
    get_cindy_list_pv_dist(parami,paraml,paramo_postprocessing)
else
    get_mindy_list_pv_dist(parami,paraml,paramo_postprocessing)
end
%end
%end

%%
if (no_targets==0)
    
    if(~exist(filename_exp_mod_random,'file'))
        creating_exp_file_list_randomdata(filename_exp_mod,filename_exp_mod_random)
    end
    
    disp('Running Mindy for random modulator expression')
    
    % Mindy parameters for random
    paramc = [filename_exp_mod_random];
    paramo = [output_dir_mindy_random];
    paraml = file_tflist;
    paramH = '';
    
    save('mindy_parameters', 'parami', 'paramc', 'paramq', 'paramp', 'parame', 'paramo', 'paraml', 'paramH','src_dir','method_mutualinfo','use_network','network_file')
    
    unix(['mkdir ' paramo]);
    unix('rm -rf tmp');
    unix('mkdir tmp');
    for i = 1:length(tflist)
        qsubmindy(num2str(i));
    end
    
    %     commandname = 'bin/RunMindy/qsubmindy';
    %     create_sh_file(template,src_dir,commandname,'grid_submit.sh')
    %     syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % submit mindy(id) for i = 1:tflist
    %
    %     jobIDs = gridsubmit(syscommand);
    %     checkruns(jobIDs,verbose)
    %
    %     list = tflist;
    %     while 1
    %         jobs = intersect( checkCrashedJobs(paramo,list,'','.cmm'), checkCrashedJobs(paramo,list,'','.cmm.bz2')) ;
    %         %jobs = union(jobs,intersect( checkCrashedJobs(paramo,list,'','.cam'), checkCrashedJobs(paramo,list,'','.cam.bz2')));
    %         if length(jobs)
    %             ReSubmit_crashedjobs(jobs,verbose)
    %         else
    %             break;
    %         end
    %     end
end

%%
if (no_targets==0)
    disp('Running Mindy postprocessing random')
    paramo_postprocessing = output_dir_mindy_random_postprocessing;
    save('mindy_postprocessing_parameters','percent', 'p_independ', 'p_dynamics', 'p_discover', 'paramo', ...
        'paramo_postprocessing', 'file_tflist', 'paramc', 'filename_exp', 'stringency','filename_mod_data','method_mutualinfo','use_network','network_file')
    
    unix(['mkdir ' paramo_postprocessing]);
    unix('rm -rf tmp');
    unix('mkdir tmp');
    
    for i = 1:length(tflist)
        if strcmp(method_mutualinfo,'cmi_ap')
            %commandname = 'bin/RunMindyPostprocessingCMI/postprocess_mindy_cmi';
            postprocess_cindy(num2str(i));
        else
            %commandname = 'bin/RunMindyPostprocessing/postprocess_mindy';
            postprocess_mindy(num2str(i));
        end
    end
    
    %     create_sh_file(template,src_dir,commandname,'grid_submit.sh')
    %     syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % % submit mindy postprocessing for i = 1:tflist
    %     jobIDs = gridsubmit(syscommand);
    %     checkruns(jobIDs,verbose)
    %
    %     list = tflist;
    %     while 1
    %         jobs = checkCrashedJobs(paramo_postprocessing,list,'mindy_','.mat');
    %         if length(jobs)
    %             ReSubmit_crashedjobs(jobs,verbose)
    %         else
    %             break;
    %         end
    %     end
    
    disp('Running Mindy postprocessing random to get list pv ')
    save('params_get_mindy_list_pv','parami', 'paraml', 'paramo_postprocessing', 'paramc', 'percent' )
    unix('rm -rf tmp');
    unix('mkdir tmp');
    
    
    for i = 1:length(tflist)
        if strcmp(method_mutualinfo,'cmi_ap')
            get_cindy_list_pv(num2str(i))
            %commandname = 'bin/GetMindyPVCMI/get_mindy_list_pv_cmi';
        else
            get_mindy_list_pv(num2str(i));
            %commandname = 'bin/GetMindyPV/get_mindy_list_pv';
        end
    end
    
    %     create_sh_file(template,src_dir,commandname,'grid_submit.sh')
    %     syscommand = ['qsub -t 1-' num2str(length(tflist)) ':1 grid_submit.sh']; % % submit mindy pv for i = 1:tflist
    %     jobIDs = gridsubmit(syscommand);
    %     checkruns(jobIDs,verbose)
    %
    %     list = tflist;
    %     while 1
    %         jobs = checkCrashedJobs(paramo_postprocessing,list,'mindy_','.txt');
    %         if length(jobs)
    %             ReSubmit_crashedjobs(jobs,verbose)
    %         else
    %             break;
    %         end
    %     end
    
    disp('Running Mindy postprocessing random to generate pvalue distribution ')
    if strcmp(method_mutualinfo,'cmi_ap')
        get_cindy_list_pv_dist(parami,paraml,paramo_postprocessing)
    else
        get_mindy_list_pv_dist(parami,paraml,paramo_postprocessing)
    end
end

%%
%if (stringent==0)
disp('Creating final outfile for general modulators')
if strcmp(method_mutualinfo,'cmi_ap')
    get_cindy_list_fdr(output_dir_mindy_postprocessing,output_dir_mindy_random_postprocessing,fdr_value,final_mindy_result,no_targets)
else
    get_mindy_list_fdr(output_dir_mindy_postprocessing,output_dir_mindy_random_postprocessing,fdr_value,final_mindy_result,no_targets)
end
%end

