function creating_exp_file_list(filename_exp,file_modlist,filename_exp_mod)

list_mod = textread(file_modlist,'%s','delimiter','\n');

[data textdata] = importfile(filename_exp);
probeid = textdata(2:end,1);
genenames = textdata(2:end,2);
labels = textdata(1,3:end);

[a,b,c] = intersect(probeid,list_mod);

final_probeid = probeid(b);
final_genenames = genenames(b);
final_data = data(b,:);

finaltextdata{1,1} = 'Affyid';
finaltextdata{1,2} = 'Description';

disp('creating variable to write in a file ... ')
for i = 1:length(labels)
    finaltextdata{1,2+i} = labels(i);
end

for i = 1:size(final_data,1)
    finaltextdata{i+1,1} = final_probeid(i);
    finaltextdata{i+1,2} = final_genenames(i);
    for j = 1:size(final_data,2)
        finaltextdata{i+1,j+2} = final_data(i,j);
    end
end
disp('writing file ... ')

cellwrite(finaltextdata,filename_exp_mod)
