function get_cindy_list_pv(jobid)

load params_get_mindy_list_pv

outdir = paramo_postprocessing;

[data textdata] = importfile(parami);
affyid = textdata(2:end,1);
genesymbol = textdata(2:end,2);
data_exp = data;
clear data textdata

[data textdata] = importfile(paramc);
affyid_mods = textdata(2:end,1);
genesymbol_mods = textdata(2:end,2);
data_mods = data;
clear data textdata


tfaffy = textread(paraml,'%s');

%outdir = addTrailingSlash(outdir);
%---------------------------------

% print txt file for each TF
i = str2num(jobid);
outfile1 = [outdir '/mindy_' tfaffy{i} '.txt'];

if (~exist(outfile1,'file'))

    hubaffy = tfaffy{i};
    hubsym = genesymbol(find(strcmp(tfaffy(i), affyid)));
    load([outdir '/mindy_' tfaffy{i} '.mat']);

    out1 = fopen(outfile1,'w');
    fprintf(out1,'%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n','Maffy','Msym',...
        'Faffy','Fsym','Gaffy','Gsym','CMI','PV');

    for j=1:length(ms.target.affyid)
        for k=1:length(ms.modulator.affyid)
            if ms.data(j,k)~=0
               
                fprintf(out1,'%s\t%s\t%s\t%s\t%s\t%s\t%.2f\t%.1e\n',...
                    ms.modulator.affyid{k},char(ms.modulator.symbol{k}),...
                    hubaffy, char(hubsym), ms.target.affyid{j},...
                    char(ms.target.symbol{j}), ms.data(j,k), ms.pv(j,k));
            end
        end
    end
    fclose(out1);
end

