function get_cindy_list_pv_dist(parami,paraml,paramo_postprocessing)

outdir = paramo_postprocessing;
[data textdata] = importfile(parami);
affyid = textdata(2:end,1);
genesymbol = textdata(2:end,2);
clear data textdata

tfaffy = textread(paraml,'%s');

outpath = [outdir '/'];
outfile3 = [outpath outdir '_summ.txt'];


disp('Creating distribution file')
% print combined (multiple probe TF) & unique gene count
out3 = fopen(outfile3,'w');
fprintf(out3,'%s\t%s\t%s\n','Msym','Fsym','Gnum');
fsym={};
for i=1:length(tfaffy)
    fsym = [fsym; genesymbol(find(strcmp(tfaffy(i),affyid)))];
end
fsymuq = unique(fsym);

for i=1:length(fsymuq)
    i
    fix = strmatch(fsymuq(i),fsym,'exact');
    msym={}; gsym={}; mdat=[]; mbio = [];
    for j=1:length(fix)
        outfile1 = [outpath 'mindy_' tfaffy{fix(j)} '.txt'];
        [T.maffy T.msym T.faffy T.fsym T.gaffy T.gsym tmp] = textread(...
            outfile1,'%s%s%s%s%s%s%[^\n]','delimiter','\t','headerlines',1);
        msym = [msym; T.msym];
        gsym = [gsym; T.gsym];
        
    end
    msymuq = unique(msym);
    for j=1:length(msymuq)
        ixtg = ismember(msym,msymuq(j));
        gsymuq = unique(gsym(ixtg));
        
        fprintf(out3,'%s\t%s\t%d\n',msymuq{j},fsymuq{i},length(gsymuq));
    end
end
fclose(out3);
