function get_mindy_pv_dist(parami,paraml,paramo_postprocessing)

outdir = paramo_postprocessing;
[data textdata] = importfile(parami);
affyid = textdata(2:end,1);
genesymbol = textdata(2:end,2);
clear data textdata

tfaffy = textread(paraml,'%s');

outpath = [outdir '/'];
outfile3 = [outpath outdir '_summ.txt'];


disp('Creating distribution file')
% print combined (multiple probe TF) & unique gene count
out3 = fopen(outfile3,'w'); 
fprintf(out3,'%s\t%s\t%s\t%s\n','Msym','Fsym','Gnum','Mode');
fsym={};
for i=1:length(tfaffy)
    fsym = [fsym; genesymbol(find(strcmp(tfaffy(i),affyid)))];
end
fsymuq = unique(fsym);

for i=1:length(fsymuq)
i
    fix = strmatch(fsymuq(i),fsym,'exact');
    msym={}; gsym={}; mdat=[];
    for j=1:length(fix)
        outfile1 = [outpath 'mindy_' tfaffy{fix(j)} '.txt'];
        [T.maffy T.msym T.faffy T.fsym T.gaffy T.gsym tmp] = textread(...
            outfile1,'%s%s%s%s%s%s%[^\n]','delimiter','\t','headerlines',1);
        msym = [msym; T.msym];
        gsym = [gsym; T.gsym];
        if ~isempty(T.msym)
            T.data = dlmread(outfile1,'\t',1,6);
            mdat = [mdat; T.data];
        end
    end
    msymuq = unique(msym);
    for j=1:length(msymuq)
        ixtg = find(strcmp(msym,msymuq(j)));
        gsymuq = unique(gsym(ixtg));
        mode = sum(mdat(ixtg,1));
        mode_pos = length(find(mdat(ixtg,1)>0));   %%% Extra line
        mode_neg = length(find(mdat(ixtg,1)<0));   %%% Extra line
        
        mode_pos_sum = sum(mdat(ixtg((find(mdat(ixtg,1)>0))),1));   %%% Extra line
        mode_neg_sum = sum(mdat(ixtg((find(mdat(ixtg,1)<0))),1));   %%% Extra line
        
        %fprintf(out3,'%s\t%s\t%d\t%d\n',msymuq{j},fsymuq{i},length(gsymuq),sign(mode));
        fprintf(out3,'%s\t%s\t%d\t%d\t%d\t%d\t%f\t%f\n',msymuq{j},fsymuq{i},length(gsymuq),sign(mode),mode_pos,mode_neg,mode_pos_sum,mode_neg_sum);  %%% Extra line
    end
end
fclose(out3);
