function jobIDs = gridsubmit(syscommand,verbose)


[s,r] = unix(syscommand);
status = s;
response = cellstr(r);

jobIDs = zeros(size(status,1),1);

for i=1:size(jobIDs,1)
    if ~isempty(response{i})
        tokens = textscan(response{i},'%s','delimiter',' ');
        jobindex = strmatch('job',tokens{1});
        jobIDs_range = tokens{1}{jobindex+1};
        tokens = textscan(char(jobIDs_range),'%s','delimiter','.');
        jobIDs(i,1) = str2double(tokens{1}{1});
    else
        if verbose
            disp(['[GRIDCOMMAND] - Warning: Submit script index ' num2str(i) 'contains empty response']);
        end
    end
end