function xcor=mi_ap_cond(data)
% computing mutual information between
% columns of the data matrix "data"
[N  dim]=size(data);
[xdat  idat]=sort(data);
clear xdat
ydat=idat;
for d=1:dim
    ydat(idat(:,d),d)=(1:N)';
end
ddim=2^dim; dim2=2*dim;
clear idat
xcor=0; npar=1; poc(1)=1; kon(1)=N; poradi=1:N;
NN=zeros(1,ddim); marg=zeros(8*ddim,dim2);
marg(1,:)=[ones(1,dim)   N*ones(1,dim)];
Imm=[0; 1];
for d=2:dim
    Imm=[zeros(length(Imm),1)  Imm; ones(length(Imm),1)  Imm];
end
chi2=[0   7.81   13.9   25.0   42.0];
run=0;
while npar>0
    run=run+1;
    apoc=poc(npar); akon=kon(npar);
    apor=poradi(apoc:akon); Nex=length(apor);
    ave=floor((marg(npar,1:dim)+marg(npar,dim+1:dim2))/2);
    J=(ydat(apor,:)<=ones(Nex,1)*ave);
    I=zeros(Nex,ddim);
    amarg=ones(ddim,1)*marg(npar,:);
    for d=1:ddim
        I(:,d)=ones(Nex,1);
        for k=1:dim
            if Imm(d,k)
                I(:,d)=I(:,d)&~J(:,k);
                amarg(d,k)=ave(k)+1;
            else
                I(:,d)=I(:,d)&J(:,k);
                amarg(d,k+dim)=ave(k);
            end
        end
    end
    NN=sum(I);
    tst=ddim*sum((NN-Nex/ddim*ones(1,ddim)).^2)/Nex;
    if (tst>chi2(dim))|(run==1)
        npar=npar-1;
        for ind=1:ddim
            if NN(ind) > ddim
                npar=npar+1;
                akon=apoc+NN(ind)-1;
                poc(npar)=apoc; kon(npar)=akon;
                marg(npar,:)=amarg(ind,:);
                poradi(apoc:akon)=apor(find(I(:,ind)));
                apoc=akon+1;
            else
                if NN(ind) > 0
                    Nxx=prod(amarg(ind,dim+1:dim2)-amarg(ind,1:dim)+ones(1,dim));
                    Nz=amarg(ind,6)-amarg(ind,3)+1;
                    Jx = ((ydat(:,1)>=amarg(ind,1))&(ydat(:,1)<=amarg(ind,4)));
                    Jy = ((ydat(:,2)>=amarg(ind,2))&(ydat(:,2)<=amarg(ind,5)));
                    Jz = ((ydat(:,3)>=amarg(ind,3))&(ydat(:,3)<=amarg(ind,6)));
                    Nxz=sum(Jx&Jz); %NXZ(ind); %NN(1)+ NN(2);
                    Nyz=sum(Jy&Jz); %NYZ(ind); %NN(2)+ NN(4);
                    %xcor=xcor+NN(ind)*log(NN(ind)/Nxx);
                    cond = (NN(ind)*Nz)/(Nxz*Nyz);
                    if(isinf(cond)) cond =1; end
                    if (cond==0) cond =1; end
                    xcor=xcor+NN(ind)*log(cond);
                end
            end
        end
    else
        Nxx=prod(marg(npar,dim+1:dim2)-marg(npar,1:dim)+ones(1,dim));
        Nz=marg(npar,6)-marg(npar,3)+1;
        Jx = ((ydat(:,1)>=marg(npar,1))&(ydat(:,1)<=marg(npar,4)));
        Jy = ((ydat(:,2)>=marg(npar,2))&(ydat(:,2)<=marg(npar,5)));
        Jz = ((ydat(:,3)>=marg(npar,3))&(ydat(:,3)<=marg(npar,6)));
        Nxz=sum(Jx&Jz); %NXZ(ind); %NN(1)+ NN(2);
        Nyz=sum(Jy&Jz); %NYZ(ind); %NN(2)+ NN(4);
        cond = (Nex*Nz)/(Nxz*Nyz);
        if(isinf(cond)) cond =1; end
        if (cond==0) cond =1; end
        cond;
        xcor=xcor+Nex*log(cond);
        %xcor=xcor+Nex*log(Nex/Nxx);
        npar=npar-1;
    end
end
xcor=xcor/N;%+(dim-1)*log(N);