function qsubmindy(jobid)

load mindy_parameters
[data textdata] = importfile(paramc);
%data(1:10,1:10)
jobid = str2num(jobid);
no_lines_exp = 0;
no_lines_cmm = 0;

tflist = textread(paraml,'%s');
if jobid>length(tflist), return; end

if use_network
    [tfs targets ~] = textread(network_file,'%s%s%s','delimiter','\t');
    
    tf_targets = targets(find(strcmp(tfs,tflist(jobid))));
    tf_targets = unique([tf_targets;tflist(jobid)]);
    
    outfile_exp = ['subsets_exp/' char(tflist(jobid)) '.exp'];
    outfile_targets = ['subsets_exp/' char(tflist(jobid)) '_targets.txt'];
    if(~exist(outfile_targets,'file'))
        out = fopen(outfile_targets,'w');
        for i = 1:length(tf_targets)
            fprintf(out,'%s\n',char(tf_targets(i)));
        end
        fclose(out);
    end
    
    if(~exist(outfile_exp,'file'))
        creating_exp_file_list(parami,outfile_targets,outfile_exp);
    end
    
    outfile_tf = ['subsets_exp/' char(tflist(jobid)) '.txt'];
    out = fopen(outfile_tf,'w');
    fprintf(out,'%s\n',char(tflist(jobid)));
    fclose(out)
    parami = outfile_exp;
    paraml = outfile_tf;
end

[temp response] = unix(['wc -l ' char(parami)]);
temp = strread(response,'%s');
no_lines_exp = str2num(char(temp(1)));

outfile_cam = [paramo '/' tflist{jobid} '.cam'];
outfile_cam_bz2 = [paramo '/' tflist{jobid} '.cam.bz2'];

outfile_cmm = [paramo '/' tflist{jobid} '.cmm'];
outfile_cmm_bz2 = [paramo '/' tflist{jobid} '.cmm.bz2'];

no_lines_cmm = 0;
if(exist(outfile_cmm,'file'))
    [temp response] = unix(['wc -l ' char(outfile_cmm)]);
    temp = strread(response,'%s');
    no_lines_cmm = str2num(char(temp(1)));
end
if(exist(outfile_cmm_bz2,'file'))
    no_lines_cmm = no_lines_exp;
end
if(~(exist(outfile_cmm,'file') | exist(outfile_cmm_bz2,'file')) | (no_lines_exp~=no_lines_cmm) )
    unix([src_dir 'mindy2 -u ' tflist{jobid} ' -o ' paramo '/' tflist{jobid} ...
        ' -i ' parami ' -c ' paramc ' -q ' paramq ' -p ' paramp ...
        ' -e ' parame ' -l ' paraml ' -a ' method_mutualinfo]);
end

if(exist(outfile_cmm,'file') & (no_lines_exp==no_lines_cmm) )
    system(['bzip2 ' char(outfile_cmm)]);
end
