function rho = calCondCorr(x,y,z,type,p)

if nargin<4
    type = 'pearson';
end

if nargin<5
    p = 0.25;
end

ma  = length(z);
ss  = round(abs(p)*ma);

if p<0
    idx = 1:ss;
else
    idx = (ma-ss+1):ma;
end

[foo,I] = sort(z);

rho = corr(x(I(idx)),y(I(idx)),'type',type);
